Subject: Re: Mailing lists, was Re: [RFC] Git User's Survey 2008

From: "Shawn O. Pearce" <[email-masked]>
Date: Sat, 26 Jul 2008 12:51:21 -0500

Jakub Narebski <[email-masked]> wrote:
> Jing Xue <[email-masked]> writes:
> > 
> > Just a thought - how about a question polling whether people would be
> > interested in build tool wrappers around jgit - ant tasks, maven
> > plugins, etc.?
> 
> True, there are a lot of tools written in Java, which have or could
> have support for Git: Ant tasks, Maven plugins, Hudson rules
> (continuous integration), JIRA (bug/issue tracker).  Some of them
> perhaps could use jgit, although if I understand correctly jgit is not
> yet full implementation of Git: it is enough for egit, for local clone
> of repository.

  What Java based build tools would you like to see Git support in?
  (choose zero or more, multiple choice)
  Ant, Maven, Hudson, JIRA, other
 
> I wonder if similar tools like mentioned above, but for the Ruby camp,
> like Capistrano, Merb, Gitosis, whatever use git directly, or do they
> use Ruby interface (and which interface).  I don't think there is
> implementation of Git in Ruby... hmmmm....

There is an implementation in Ruby, but I'm not sure what its
state is.

-- 
Shawn.